Agent Governance Protocol
API ReferenceDecision APIContext

Ingest attested context

POST
/agp/contexts

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.decision.read, agp.decision.write

Header Parameters

Idempotency-Key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agp/contexts" \  -H "Content-Type: application/json" \  -d '{    "type": "AttestedContext",    "context_id": "string",    "task_id": "string",    "source_id": "string",    "source_type": "trusted_policy",    "trust_class": "trusted_policy",    "instruction_eligible": true,    "taint_labels": [      "string"    ],    "retrieved_at": "2019-08-24T14:15:22Z",    "hash": "string"  }'
{  "type": "AttestedContext",  "context_id": "string",  "task_id": "string",  "source_id": "string",  "source_type": "trusted_policy",  "trust_class": "trusted_policy",  "instruction_eligible": true,  "taint_labels": [    "string"  ],  "retrieved_at": "2019-08-24T14:15:22Z",  "hash": "string",  "signature": {    "alg": "string",    "kid": "string",    "issuer": "string",    "issued_at": "2019-08-24T14:15:22Z",    "payload_hash": "string",    "value": "string"  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}